Package org.bukkit.block.data.type

# Enum Class Bell.Attachment

java.lang.Object
java.lang.Enum<Bell.Attachment>
org.bukkit.block.data.type.Bell.Attachment

All Implemented Interfaces:
  `Serializable`, `Comparable<Bell.Attachment>`, `Constable`

Enclosing interface:
  Bell

public static enum Bell.Attachment extends Enum<Bell.Attachment>
What the bell is attached to.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CEILING`
Placed on ceiling.
`DOUBLE_WALL`
Placed between two walls.
`FLOOR`
Placed on floor.
`SINGLE_WALL`
Placed on one wall.

## Method Summary

Modifier and Type
Method
Description
`static Bell.Attachment`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Bell.Attachment[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FLOOR

public static final Bell.Attachment FLOOR
Placed on floor.

### CEILING

public static final Bell.Attachment CEILING
Placed on ceiling.

### SINGLE_WALL

public static final Bell.Attachment SINGLE_WALL
Placed on one wall.

### DOUBLE_WALL

public static final Bell.Attachment DOUBLE_WALL
Placed between two walls.

## Method Details

### values

public static Bell.Attachment[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Bell.Attachment valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null